Subject: Re: linux-next: manual merge of the input tree with the s5p tree

From: Dmitry Torokhov <[email-masked]>
Date: Thu, 10 Nov 2011 19:41:59 -0800

Hi Stephen,

On Thursday, November 10, 2011 06:11:59 PM Stephen Rothwell wrote:
> Hi Dmitry,
> 
> Today's linux-next merge of the input tree got a conflict in
> drivers/input/keyboard/Kconfig between commit 007205aa47e9 ("input:
> samsung-keypad: Add HAVE_SAMSUNG_KEYPAD config option") from the s5p
> tree and commit 5862c02d745f ("Input: samsung-keypad - enable compiling
> on other platforms") from the input tree.
> 
> I have fixed it up (probably incorrectly - see below) and can carry the
> fix as necessary.

Please drop the whole HAVE_SAMSUNG_KEYPAD thing; HAVE_CLK is all
this driver needs. Expanding beyond Samsung will allow greater
compile coverage.

Thanks.

-- 
Dmitry